# OpalMediaCryptoSuite Class Reference

`#include <mediasession.h>`

## Public Member Functions

virtual const PCaselessString & | GetFactoryName () const =0
virtual bool | Supports (const PCaselessString &proto) const =0
virtual bool | ChangeSessionType (PCaselessString &mediaSession) const =0
virtual const char * | GetDescription () const =0
virtual OpalMediaCryptoKeyInfo * | CreateKeyInfo () const =0

## Static Public Member Functions

static const PCaselessString & | ClearText ()

## Protected Member Functions

| OpalMediaCryptoSuite ()

## Detailed Description

Class for desribing the crytpographic mechanism used by an OpalMediaSession. These are singletons that descibe the cypto suite in use

## Constructor & Destructor Documentation

OpalMediaCryptoSuite::OpalMediaCryptoSuite | ( |  | ) | `[inline, protected]`

## Member Function Documentation

virtual bool OpalMediaCryptoSuite::ChangeSessionType | ( | PCaselessString & | mediaSession | ) | const`[pure virtual]`

static const PCaselessString& OpalMediaCryptoSuite::ClearText | ( |  | ) | `[static]`

virtual OpalMediaCryptoKeyInfo* OpalMediaCryptoSuite::CreateKeyInfo | ( |  | ) | const`[pure virtual]`

virtual const char* OpalMediaCryptoSuite::GetDescription | ( |  | ) | const`[pure virtual]`

virtual const PCaselessString& OpalMediaCryptoSuite::GetFactoryName | ( |  | ) | const`[pure virtual]`

virtual bool OpalMediaCryptoSuite::Supports | ( | const PCaselessString & | proto | ) | const`[pure virtual]`

The documentation for this class was generated from the following file:

- mediasession.h